# STOP

STOP Example

Syntax: STOP

## Function

Stops program execution.

## Quick Facts

| All BS2 models
Related Command | END

## Explanation

STOP prevents the BASIC Stamp from executing any further instructions until it is reset. The following actions will reset the BASIC Stamp:

1. Pressing and releasing the RESET button on the development board.
2. Driving the RES pin low then letting it float (high).
3. Downloading a new program.
4. Disconnecting then reconnecting the power.

STOP differs from END in two respects:

1. STOP does not put the BASIC Stamp into low-power mode. The BASIC Stamp draws just as much current as if it were actively running program instructions.
2. The output glitch that occurs after a program has been halted with END does not occur after a program that uses STOP.

Go to Welcome page

BASIC Stamp Help Version 2.5.4

Copyright © Parallax Inc.

8/8/2012